﻿using System;
using System.Collections.Generic;
using System.Web;

/// <summary>
/// Summary description for Carrito
/// </summary>
public class Carrito
{
    //Atributos
    private List<Articulo> _articulos = new List<Articulo>();

    //Metodos

    public List<Articulo> articulos{
        get{
            return _articulos;
        }
    }

    public void addArticulo (int idArticulo, string nombre, float precio, String talla, int unidades){
        _articulos.Add (new Articulo{idArticulo = idArticulo, nombre=nombre, precio=precio,talla=talla,unidades=unidades});
    }
    public void clear(){
        _articulos.Clear();
    }
    public void removeArticulo (int index){
        _articulos.RemoveAt(index);
    }
  public float valorTotal(){
      float valorTotal=0;
      foreach(var c in _articulos){
          valorTotal+=c.valorParcial();
      }
      return valorTotal;
  }
 public void subirUnidades(int index){
     _articulos[index].unidades+=1;
 }

 public void bajarUnidades(int index){
     _articulos[index].unidades-=1;
 }

 
   
  
}
